For the complete documentation index, see llms.txt. This page is also available as Markdown.

Verify Entity (KYB)

This endpoint allows you to run a KYB check on an entity, this can only be a business.

POST {{baseurl}}/v2/api/entities/:entityId/company

Headers

Name
Type
Description

token*

String

API secret token

Parameter

Field
Type
Description

entityId*

String

Id of the entity being checked.

Request Body

Field
Type
Description

entityType*

String

Type of entity being checked or verified.

Allowed values: "business"

isSubjectConsent*

Boolean

Consent of the individual or entity being verified.

Allowed values: true

checkType

String

Type of business check { basic, standard or premium }.

incorporationNumber

String

Business registration number.

incorporationCountry

String

Country code of business incorporation (ISO 3166-1 alpha-2).

Size range: 2

{
  "entityType": "business",
  "isSubjectConsent": true,
  "incorporationNumber": "RC123456",
  "incorporationCountry": "NG",
  "checkType": "basic",
}

Last updated

Was this helpful?